Can't compile Apache 2.4.23 with OpenSSL 1.1.0b

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Can't compile Apache 2.4.23 with OpenSSL 1.1.0b

Paquin, Brian
When I try to compile Apache 2.4.23 with OpenSSL 1.1.0b I get:

secure:httpd-2.4.23 administrator$ sudo make
<--many lines cut out-->
/Users/administrator/Downloads/httpd-2.4.23/srclib/apr/libtool --silent --mode=link gcc    -arch x86_64 -L/usr/local/openssl/lib -lssl -lcrypto -lpthread  \
                 -o ab  ab.lo       /Users/administrator/Downloads/httpd-2.4.23/srclib/apr-util/libaprutil-1.la -lexpat -liconv /Users/administrator/Downloads/httpd-2.4.23/srclib/apr/libapr-1.la -lpthread
Undefined symbols for architecture x86_64:
  "_CRYPTO_malloc_init", referenced from:
      _main in ab.o
  "_SSLv2_client_method", referenced from:
      _main in ab.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [ab] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1

It compiles fine with 1.0.1j, but I am curious what I need to change to get 1.1.0b working…
(this may be for the httpd mailing list, but since it was specific to v1.1.0 I thought I would start here.

OS is Mac OS X 10.11.6.

Thank you,

Brian
--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users
Reply | Threaded
Open this post in threaded view
|

Re: Can't compile Apache 2.4.23 with OpenSSL 1.1.0b

Benjamin Kaduk
The library is mostly self-initializing now, so the malloc_init call is probably not needed.

SSLv2 support is entirely removed.

There are very drastic changes between the 1.0.x series and the 1.1.0 series, you really should read at least the NEWS file entries and maybe the CHANGES as well.  Porting a large application such as Apache to the new library will be a nontrivial work, but as you suspect, is probably best discussed on the httpd mailing list.

-Ben

On 09/27/2016 12:14 PM, Paquin, Brian wrote:
When I try to compile Apache 2.4.23 with OpenSSL 1.1.0b I get:

secure:httpd-2.4.23 administrator$ sudo make
<--many lines cut out-->
/Users/administrator/Downloads/httpd-2.4.23/srclib/apr/libtool --silent --mode=link gcc    -arch x86_64 -L/usr/local/openssl/lib -lssl -lcrypto -lpthread  \
	         -o ab  ab.lo       /Users/administrator/Downloads/httpd-2.4.23/srclib/apr-util/libaprutil-1.la -lexpat -liconv /Users/administrator/Downloads/httpd-2.4.23/srclib/apr/libapr-1.la -lpthread 
Undefined symbols for architecture x86_64:
  "_CRYPTO_malloc_init", referenced from:
      _main in ab.o
  "_SSLv2_client_method", referenced from:
      _main in ab.o
ld: symbol(s) not found for architecture x86_64
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[2]: *** [ab] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1

It compiles fine with 1.0.1j, but I am curious what I need to change to get 1.1.0b working…
(this may be for the httpd mailing list, but since it was specific to v1.1.0 I thought I would start here.

OS is Mac OS X 10.11.6.

Thank you,

Brian


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users
Reply | Threaded
Open this post in threaded view
|

Re: Can't compile Apache 2.4.23 with OpenSSL 1.1.0b

Salz, Rich
In reply to this post by Paquin, Brian
You might want to start here: http://apache-http-server.18135.x6.nabble.com/Support-for-OpenSSL-1-1-0-td5027694.html

--  
Senior Architect, Akamai Technologies
IM: [hidden email] Twitter: RichSalz


--
openssl-users mailing list
To unsubscribe: https://mta.openssl.org/mailman/listinfo/openssl-users